#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n;
    long long k;
    cin>>n>>k;
    long long x;
    vector<int>lista(n);
    long long rez=0;
    long long br=0;
    long long co=0;
    for (long long i=0;i<n;i++){
        cin>>lista[i];
        if (lista[i]==0 && rez==0){
            rez=1;
            br++;
        }
        if (lista[i]==1 && rez==1){
            rez=0;
        }
        if (lista[i]==1){
            co++;
        }
    }
    if (br-1<=k && co>=br){
        cout<<1<<endl;
    }
    else{
        cout<<0<<endl;
    }
    return 0;
}
